Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLConcreteDataImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLConcreteDataImpl

All Implemented Interfaces:
  Cloneable, OWLDataValue, OWLObject, Serializable

public class OWLConcreteDataImpl
extends OWLObjectImpl
implements OWLDataValue

A place holder for concrete data. This will ultimately be replaces by something like XML Schema data values.

Version:
  $Id: OWLConcreteDataImpl.java,v 1.2 2003/11/20 12:58:09 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`OWLConcreteDataImpl(OWLDataFactoryImpl factory, URI uri, String lang, Object value)`

Method Summary
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`String` | `getLang()`
`URI` | `getURI()` URI of the datatype of the value
`Object` | `getValue()`
`String` | `toString()`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Constructor Detail

### OWLConcreteDataImpl

    public OWLConcreteDataImpl(OWLDataFactoryImpl factory,
                               URI uri,
                               String lang,
                               Object value)

Method Detail

### getURI

    public URI getURI()

  Description copied from interface: `OWLDataValue`
  URI of the datatype of the value

  Specified by:
    `getURI` in interface `OWLDataValue`

### getLang

    public String getLang()

  Specified by:
    `getLang` in interface `OWLDataValue`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `OWLDataValue`

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb